Package org.iirds.dita.ot.plugin.contrib

# Class FallbackIRIHandler

java.lang.Object
org.iirds.dita.ot.plugin.contrib.FallbackIRIHandler

All Implemented Interfaces:
  `IRIHandler`

public class FallbackIRIHandler extends Object implements IRIHandler
Fallback implementation of `IRIHandler`. It provides UUID URNs.

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) Map<org.apache.commons.lang3.tuple.Pair<String,String>,String>`
  `mapping`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FallbackIRIHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDocumentOrTopicIRI(ToCNode node)`
  Generate IRI for a an iiRDS Topic or Document.
  `String`
  `getInfoObjectIRI(ToCNode node)`
  Generate IRI for a an iiRDS InformationObject.
  `String`
  `getMetadataIRI(ToCNode node, String classURI, String label, String context)`
  Generate IRI for a a metadata string property.
  `String`
  `getName()`
  The unique name of this IRI provider
  `String`
  `getPackageIRI(ToCNode root)`
  Generate IRI for a an iiRDS Package.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### mapping

    Map<org.apache.commons.lang3.tuple.Pair<String,String>,String> mapping

- ## Constructor Details

  - ### FallbackIRIHandler

    public FallbackIRIHandler()

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `IRIHandler`
    The unique name of this IRI provider
    Specified by:
      `getName` in interface `IRIHandler`
    Returns:
      the name of this handler

  - ### getInfoObjectIRI

    public String getInfoObjectIRI(ToCNode node)
    Description copied from interface: `IRIHandler`
    Generate IRI for a an iiRDS InformationObject. Implementation may use external services to lookup IRIs or use properties of the node
    Specified by:
      `getInfoObjectIRI` in interface `IRIHandler`
    Parameters:
      `node` - the node for which to generated
    Returns:
      the generated IRI as String or null

  - ### getMetadataIRI

    public String getMetadataIRI(ToCNode node, String classURI, String label, String context)
    Description copied from interface: `IRIHandler`
    Generate IRI for a a metadata string property. Implementation may use external services to lookup IRIs or use properties of the node
    Specified by:
      `getMetadataIRI` in interface `IRIHandler`
    Parameters:
      `node` - the node the metadata belongs to
      `classURI` - the URI of the RDF metadata class
      `label` - something like a label of metadata value
      `context` - an additional context, usually the property name at the node hinting the source of the metadata value
    Returns:
      the generated IRI as String

  - ### getDocumentOrTopicIRI

    public String getDocumentOrTopicIRI(ToCNode node)
    Description copied from interface: `IRIHandler`
    Generate IRI for a an iiRDS Topic or Document. Implementation may use external services to lookup IRIs or use properties of the node
    Specified by:
      `getDocumentOrTopicIRI` in interface `IRIHandler`
    Parameters:
      `node` - the node for which to generated
    Returns:
      the generated IRI as String or null

  - ### getPackageIRI

    public String getPackageIRI(ToCNode root)
    Description copied from interface: `IRIHandler`
    Generate IRI for a an iiRDS Package. Implementation may use external services to lookup IRIs or use properties of the node
    Specified by:
      `getPackageIRI` in interface `IRIHandler`
    Parameters:
      `root` - the node for which to generated (usually the root node)
    Returns:
      the generated IRI as String

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`